Bug 2055747 - CVE-2021-46661 mariadb:10.6/mariadb: MariaDB allows an application crash in find_field_in_tables and find_order_in_list via an unused common table expression (CTE) [fedora-all]
Summary: CVE-2021-46661 mariadb:10.6/mariadb: MariaDB allows an application crash in f...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mariadb
Version: 35
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: Michal Schorm
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2021-46661
TreeView+ depends on / blocked
 
Reported: 2022-02-17 15:52 UTC by Mauro Matteo Cascella
Modified: 2022-05-16 00:25 UTC (History)
8 users (show)

Fixed In Version: mariadb-10.6-3520220430165639.f27b74a8 mariadb-10.6-3420220430165639.058368ca mariadb-10.6-3620220430165639.5e5ad4a0
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-05-09 00:20:38 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Mauro Matteo Cascella 2022-02-17 15:52:04 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Mauro Matteo Cascella 2022-02-17 15:52:07 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=low

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2050017,2055747

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2022-04-30 23:46:34 UTC
FEDORA-MODULAR-2022-12c5412556 has been submitted as an update to Fedora 36 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2022-12c5412556

Comment 3 Fedora Update System 2022-04-30 23:47:18 UTC
FEDORA-MODULAR-2022-ad3d7b2970 has been submitted as an update to Fedora 35 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2022-ad3d7b2970

Comment 4 Fedora Update System 2022-04-30 23:47:53 UTC
FEDORA-MODULAR-2022-8d64a348f6 has been submitted as an update to Fedora 34 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2022-8d64a348f6

Comment 5 Fedora Update System 2022-05-01 20:03:34 UTC
FEDORA-MODULAR-2022-ad3d7b2970 has been pushed to the Fedora 35 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2022-ad3d7b2970

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2022-05-01 20:08:11 UTC
FEDORA-MODULAR-2022-8d64a348f6 has been pushed to the Fedora 34 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2022-8d64a348f6

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2022-05-08 02:36:01 UTC
FEDORA-MODULAR-2022-12c5412556 has been pushed to the Fedora 36 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2022-12c5412556

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2022-05-09 00:20:38 UTC
FEDORA-MODULAR-2022-ad3d7b2970 has been pushed to the Fedora 35 Modular stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2022-05-09 00:37:57 UTC
FEDORA-MODULAR-2022-8d64a348f6 has been pushed to the Fedora 34 Modular stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2022-05-16 00:25:56 UTC
FEDORA-MODULAR-2022-12c5412556 has been pushed to the Fedora 36 Modular stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.